/***(데이터 Merge 4)직업력자료에 개인의 성별, 연령 붙이기***/

/**(예제) 22차  개인용 자료와 직업력 자료 merge**/ 

clear 
cd "C:\klips\Stata"

use klips22p, replace

// p**0101: (가구정보)성별
// p**0107: (가구정보)만나이

keep pid p220101 p220107
rename p220101 sex
rename p220107 age
sort pid
save k22p, replace

use klips22w, clear
keep if jobwave==22 // 22차에 응답한 가구 추출
sort pid // merge를 위해서 sorting 

merge pid using k22p, uniqusing
keep if jobwave==22 // 22차에 조사된 일자리에만 성별 연령 merge 하기

table _merge // merge 결과의 확인 

order pid sex age

save "D:\klips\Stata\data\exaple.dta", replace 